#import <Cocoa/Cocoa.h>

#ifndef kASSubroutineEvent
#define kASSubroutineEvent 'psbr'
#endif
#ifndef kASAppleScriptSuite
#define kASAppleScriptSuite 'ascr'
#endif
#ifndef keyASSubroutineName
#define keyASSubroutineName 'snam'
#endif
#ifndef keyASUserRecordFields
#define keyASUserRecordFields 'usrf'
#endif

NSAppleEventDescriptor* Dictionary2AppleEvent (NSDictionary *dic);
NSDictionary* AppleEvent2Dictionary (NSAppleEventDescriptor* desc);
NSArray* AppleEvent2Array (NSAppleEventDescriptor* desc);
NSObject* AppleEvent2Object (NSAppleEventDescriptor* desc);
NSAppleEventDescriptor* Object2AppleEvent (id val);
NSAppleEventDescriptor* Array2AppleEvent (NSArray *list);

@interface NSAppleEventDescriptor (MyAppleEventDescriptor)
- (NSArray*) arrayValue;
- (NSDictionary*) dictionaryValue;
+ (NSAppleEventDescriptor*)descriptorWithDate:(NSDate *)date;
- (id)initWithDate:(NSDate *)date;
@end
