//
//  MYBrowser.h
//  OnFlAppFoundation
//
//  Created by Ondrej Florian on 12/09/2013.
//
//

#import <Cocoa/Cocoa.h>
#import "MYQuickLookController.h"

@interface __MYBrowserCell : NSBrowserCell {
	BOOL inset;
}

@property (retain) NSString* imageKey;
@property (retain) NSString* titleKey;

- (void) setObjectValue:(id) value;
@end

@interface MYBrowser : NSBrowser {
	IBOutlet MYQuickLookController* quickLookController;

	BOOL __inremove;
	BOOL __inkeydown;
	BOOL __infirst_mouse;
	BOOL support_remove;
	BOOL support_reorganize;
	BOOL first_mouse;

	id dataSource;
	
	IBOutlet NSButton* actionProxy;
}

- (void) setDataSource:(id) ds;
- (id) dataSource;

- (IBAction) togglePreviewPanel:(id) sender;
@end
